// pages/user/user.js
const app = getApp()
var host = app.globalData.host;
const $api = require('../../utils/api.js').API;
const $push = require('../../utils/api.js').PUSH;

Page({

  /**
   * 页面的初始数据
   */
  data: {
    userinfo:{},
    todayinfo:{},
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getUserData()
  },
  zx(){
    wx.navigateTo({
      url: '../message/message',
    })
  },

  getUserData() {
    $api.getAuthinfo().then(res=>{
      if(res.data.code == 0){
        this.setData({
          userinfo: res.data.data,
        })
  
        wx.setStorage({
          key: 'user',
          data: res.data.data,
        })
      }
      

    })
    .catch(err=>{
      this.setData({
        userinfo: {}
      })
    })
  },

  getTodayData() {
    $api.getMineLatest().then(res=>{
      this.setData({
        todayinfo: res.data.data,
        todayMoney:((res.data.data.today_fund - res.data.data.yesterday_fund)*10000).toFixed(2)
      })
    })
    .catch(err=>{
      this.setData({
        todayinfo: {},
        status:0
      })
    })
  },


  logout() {
    wx.removeStorage({
      key: 'userInfo'
    })
    this.setData({
      userinfo: {},
      usercode: ''
    })
    wx.navigateTo({
      url: '../login/user',
    })
  },
  
  onCustomerService(){
    wx.openCustomerServiceChat({
      extInfo: {url: 'https://work.weixin.qq.com/kfid/kfcc1bd2a8bddad1dfb'},
      corpId: 'wwc4de479c81db4706',
      success(res) {}
    })
  },
 
  pushToday(e){
    $push.pushToday(e.currentTarget.dataset)
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getUserData()
    this.getTodayData()
    $api.initUser()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }


})